### Class

# JavaScriptCore WeakValue

#### Description [src]

    final class JavaScriptCore.WeakValue : GObject.Object {
      /* No available fields */
    }

JSCWeakValue represents a weak reference to a value in a `JSCContext`. It can be used to keep a reference to a JavaScript value without protecting it from being garbage collected and without referencing the `JSCContext` either.

#### Ancestors

- GObject

#### Constructors

###### jsc_weak_value_new

Create a new `JSCWeakValue` for the JavaScript value referenced by `value`.

#### Instance methods

###### jsc_weak_value_get_value

Get a `JSCValue` referencing the JavaScript value of `weak_value`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### JavaScriptCore.WeakValue:value

The `JSCValue` referencing the JavaScript value.

#### Signals

###### JavaScriptCore.WeakValue::cleared

This signal is emitted when the JavaScript value is destroyed.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct JavaScriptCoreWeakValueClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.